//this script is for calculating Total battle damage.
var Character, Target, Damage, Critical, Counter, LandEffect;
var PhysicalDamage, ElementalDamage, VoidDamage;
Character = argument0;
Target = argument1;
Critical = argument2;
Counter = argument3;

if(HasStatusHit(Character) && global.LegacyStatusEffect){//Because people wanted the legacy SF mechanic, SE's override crit.
    Critical = false;
}

LandEffect = (1-FindLandEffect(Target.MovementType,instance_position(Target.x,Target.y,objCell).TerrainType));//Land effect percentage reduction. 

PhysicalDamage = LowCap(((((Get_Battle_Stat_Total(Character,'Attack')*(1 + .25*Critical))-(Get_Battle_Stat_Total(Target,'Defense')))*(1 - .5 * Counter)) * LandEffect),0);//(((Attack *Crit)-Defense)*Counter)*Land Effect
ElementalDamage = LowCap((Calculate_Elemental_Damage(Character,Target,Critical)*(1 - .5 * Counter)),0);//No Land Effect reduction for 'magical' damage. Crit is handled within the script as it comes before defense reduction
VoidDamage = LowCap(((Get_Battle_Stat_Total(Character,'VoidDamage')*(1 + .25*Critical))*(1 - .5 * Counter)),0);//No land effect or defense reduction as Void bypasses all defenses and resistances

Damage = round(LowCap((PhysicalDamage + ElementalDamage + VoidDamage),1));//minimum value of 1 damage
return Damage;
