//GetBattleWeaponSprite(Character,State,image_index,'x');

var Character, State, Frame, XOffset,YOffset, ReturnStat, Sprite;
Character = argument0;
State = argument1;
Frame = floor(argument2);
ReturnStat = argument3;

XOffset = 500;//defaults set to 'off screen' so that weps dont show for un-rigged characters.
YOffset = 500;
Rotation = 1;

Sprite = Get_Item_Stats(Get_Equipped_Weapon_Battle(Character),'BattleSprite');

//x,y,rotation



switch(Character.SpriteID){
case 1://Jason
    switch(State){
        case 'Attack': switch(Frame){
            case 0: XOffset = -2; YOffset = -59; Rotation = 1; break;
            case 1: XOffset = -16; YOffset = -24; Rotation = 8; break;
        }break;
        case 'AttackEnd': switch(Frame){
            case 0: XOffset = -19; YOffset = -36; Rotation = 1; break;
            case 1: XOffset = -19; YOffset = -36; Rotation = 1; break;
        }break;
        case 'RangedAttack': switch(Frame){
            case 0: XOffset = -2; YOffset = -59; Rotation = 1; break;
            case 1: XOffset = -16; YOffset = -24; Rotation = 8; break;
        }break;
        case 'RangedAttackEnd': switch(Frame){
            case 0: XOffset = -19; YOffset = -36; Rotation = 1; break;
            case 1: XOffset = -19; YOffset = -36; Rotation = 1; break;
        }break;
        case 'Block': switch(Frame){
            case 0: XOffset = -19; YOffset = -36; Rotation = 1; break;
            case 1: XOffset = 3; YOffset = -54; Rotation = 8; break;
        }break;
        case 'BlockEnd': switch(Frame){
            case 0: XOffset = -19; YOffset = -36; Rotation = 1; break;
            case 1: XOffset = -19; YOffset = -36; Rotation = 1; break;
        }break;
        case 'SpellCast': switch(Frame){
            case 0: XOffset = -2; YOffset = -59; Rotation = 1; break;
            case 1: XOffset = -16; YOffset = -24; Rotation = 8; break;
        }break;
        case 'SpellCastEnd': switch(Frame){
            case 0: XOffset = -19; YOffset = -36; Rotation = 1; break;
            case 1: XOffset = -19; YOffset = -36; Rotation = 1; break;
        }break;
        case 'ItemUse': switch(Frame){
            case 0: XOffset = -2; YOffset = -59; Rotation = 1; break;
            case 1: XOffset = -16; YOffset = -24; Rotation = 8; break;
        }break;
        case 'EndItemUseAnimation': switch(Frame){
            case 0: XOffset = -19; YOffset = -36; Rotation = 1; break;
            case 1: XOffset = -19; YOffset = -36; Rotation = 1; break;
        }break;
        default: switch(Frame){//Idle Animation
            //case 0: XOffset = -19; YOffset = -36; Rotation = 1; break;
            case 1: XOffset = -19; YOffset = -36; Rotation = 1; break;
            default: XOffset = -19; YOffset = -36; Rotation = 1; break;//default to case 0 (GM overflows)
        }break;
    }break;
case 3://Ciera
    switch(State){
        case 'Attack': switch(Frame){
            case 0: XOffset = 5; YOffset = -76; Rotation = 10; break;
            case 1: XOffset = -20; YOffset = -47; Rotation = 9; break;
        }break;
        case 'RangedAttack': switch(Frame){
            case 0: XOffset = 5; YOffset = -76; Rotation = 10; break;
            case 1: XOffset = -20; YOffset = -47; Rotation = 9; break;
        }break;
        case 'Block': switch(Frame){
            case 0: XOffset = 12; YOffset = -49; Rotation = 0; break;
            case 1: XOffset = 3; YOffset = -50; Rotation = 11; break;
        }break;
        case 'SpellCast': switch(Frame){
            case 0: XOffset = -2; YOffset = -59; Rotation = 11; break;
            case 1: XOffset = 5; YOffset = -76; Rotation = 10; break;
        }break;
        case 'ItemUse': switch(Frame){
            case 0: XOffset = -2; YOffset = -59; Rotation = 11; break;
            case 1: XOffset = 5; YOffset = -76; Rotation = 10; break;
        }break;
        default: switch(Frame){//Idle Animation
            //case 0: XOffset = 12; YOffset = -49; Rotation = 0; break;
            case 1: XOffset = 12; YOffset = -49; Rotation = 0; break;
            default: XOffset = 12; YOffset = -49; Rotation = 0; break;
        }break;
    }break;
case 4://Kira
    switch(State){
        case 'Attack': switch(Frame){
            case 0: Sprite = BlankSprite; XOffset = 5; YOffset = -76; Rotation = 10; break;
            case 1: XOffset = -40; YOffset = -54; Rotation = 9; break;
        }break;
        case 'RangedAttack': switch(Frame){
            case 0: XOffset = 14; YOffset = -64; Rotation = 10; break;
            case 1: XOffset = -40; YOffset = -54; Rotation = 9; break;
        }break;
        case 'Block': switch(Frame){
            case 0: Sprite = BlankSprite; XOffset = 12; YOffset = -49; Rotation = 0; break;
            case 1: XOffset = -2; YOffset = -50; Rotation = 11; break;
        }break;
        case 'SpellCast': switch(Frame){
            case 0: Sprite = BlankSprite; XOffset = 5; YOffset = -76; Rotation = 10; break;
            case 1: XOffset = -40; YOffset = -54; Rotation = 9; break;
        }break;
        case 'ItemUse': switch(Frame){
            case 0: Sprite = BlankSprite; XOffset = 5; YOffset = -76; Rotation = 10; break;
            case 1: XOffset = -40; YOffset = -54; Rotation = 9; break;
        }break;
        default: switch(Frame){//Idle Animation
            //case 0: Sprite = BlankSprite; XOffset = 12; YOffset = -49; Rotation = 0; break;
            case 1: Sprite = BlankSprite; XOffset = 12; YOffset = -49; Rotation = 0; break;
            default: Sprite = BlankSprite; XOffset = 12; YOffset = -49; Rotation = 0; break;
        }break;
    }break;
case 5://Karina
    switch(State){
        case 'Attack': switch(Frame){
            case 0: XOffset = 12; YOffset = -49; Rotation = 0; break;
            case 1: XOffset = -1; YOffset = -47; Rotation = 11; break;
        }break;
        case 'RangedAttack': switch(Frame){
            case 0: XOffset = 12; YOffset = -49; Rotation = 0; break;
            case 1: XOffset = -1; YOffset = -47; Rotation = 11; break;
        }break;
        case 'Block': switch(Frame){
            case 0: XOffset = 12; YOffset = -49; Rotation = 0; break;
            case 1: XOffset = 13; YOffset = -55; Rotation = 0; break;
        }break;
        case 'SpellCast': switch(Frame){
            case 0: XOffset = 12; YOffset = -49; Rotation = 0; break;
            case 1: XOffset = -1; YOffset = -47; Rotation = 11; break;
        }break;
        case 'ItemUse': switch(Frame){
            case 0: XOffset = 12; YOffset = -49; Rotation = 0; break;
            case 1: XOffset = -1; YOffset = -47; Rotation = 11; break;
        }break;
        default: switch(Frame){//Idle Animation
            //case 0: XOffset = 12; YOffset = -49; Rotation = 0; break;
            case 1: XOffset = 12; YOffset = -49; Rotation = 0; break;
            default: XOffset = 12; YOffset = -49; Rotation = 0; break;
        }break;
    }break;
case 6://Phillip
    switch(State){
        case 'Attack': switch(Frame){
            case 0: XOffset = -4; YOffset = -42; Rotation = 0; break;
            case 1: XOffset = -23; YOffset = -45; Rotation = 0; break;
        }break;
        case 'RangedAttack': switch(Frame){
            case 0: XOffset = -23; YOffset = -45; Rotation = 0; break;
            case 1: XOffset = -33; YOffset = -44; Rotation = 0; break;
        }break;
        case 'Block': switch(Frame){
            case 0: XOffset = -4; YOffset = -42; Rotation = 0; break;
            case 1: XOffset = -9; YOffset = -44; Rotation = 0; break;
        }break;
        case 'SpellCast': switch(Frame){
            case 0:
            case 1:
        }break;
        case 'ItemUse': switch(Frame){
            case 0: XOffset = -4; YOffset = -42; Rotation = 0; break;
            case 1: XOffset = -23; YOffset = -45; Rotation = 0; break;
        }break;
        default: switch(Frame){//Idle Animation
            //case 0: XOffset = -4; YOffset = -42; Rotation = 0; break;
            case 1: XOffset = -4; YOffset = -42; Rotation = 0; break;
            default: XOffset = -4; YOffset = -42; Rotation = 0; break;
        }break;
    }break;
}


//Return the chosen stat
switch(ReturnStat){
    case 'x': return XOffset; break;
    case 'y': return YOffset; break;
    case 'Rotation': return Rotation; break;
    default: return Sprite; break;
}
