/*
with cells
if reachable
find attack range
loop through cursor list and check for character with the highest priority
set new highest (store tile)


return the tile to pathfind to


eventually test for spell targets
for now just pick best single target

*/


var Character, MaxThreat, Tile, Item, AIType, MinThreat, AIDone, ItemSlot;
Character = argument0;
Item = argument1;
AIType = argument2;
MinThreat = argument3;
AIDone = argument4;
MaxThreat = -1;
Tile = noone;

if(!AIDone){
    if(Has_Item_Battle(Character,Item)){
        ItemSlot = Get_Item_Slot_Battle(Character,Item);
        with(objCell){
            if(Reachable){
                //find attack range
                if((instance_position(x,y,objGuy) = noone)||((x = Character.x)&&(y = Character.y))){//If the tile is empty or if occupied by current character
                    if(Character.IsConfused){
                        FindAttackRange(self.id,Get_Item_Stats(Character.Items[ItemSlot],'UseRange'),Get_Item_Stats(Character.Items[ItemSlot],'UseRangeLimit'),Character.Faction,'Confused','Attack');
                    }
                    else{
                        FindAttackRange(self.id,Get_Item_Stats(Character.Items[ItemSlot],'UseRange'),Get_Item_Stats(Character.Items[ItemSlot],'UseRangeLimit'),Character.Faction,Get_Item_Stats(Character.Items[ItemSlot],'UseTarget'),'Attack');
                    }
                    //show_message(Cursor.NumberOfTargets);
                    if(Cursor.NumberOfTargets > 0){
                        //loop through targets and figure out which is the best target
                        var Index, Threat;
                        Index = 0;
                        while(Index < Cursor.NumberOfTargets){
                            //if(Get_Item_Stats(Character.Items[ItemSlot],'UseTarget') = 'Allies'){//if targeting an ally
                            if(Get_Spell_Stats(Get_Item_Stats(Character.Items[ItemSlot],'Effect'),Get_Item_Stats(Character.Items[ItemSlot],'EffectLevel'),'TargetType')='Allies'){
                                Threat = CalculateHealPriority(Character,self.id,Get_Item_Stats(Character.Items[ItemSlot],'Effect'),Get_Item_Stats(Character.Items[ItemSlot],'EffectLevel'),instance_position(Cursor.AttackList[Index].x,Cursor.AttackList[Index].y,objCell));
                            }
                            else{//otherwise use combat threat calculator
                                Threat = CalculateMagicThreat(Character,self.id,Get_Item_Stats(Character.Items[ItemSlot],'Effect'),Get_Item_Stats(Character.Items[ItemSlot],'EffectLevel'),instance_position(Cursor.AttackList[Index].x,Cursor.AttackList[Index].y,objCell));
                            }
                            if(Threat > MaxThreat){
                                MaxThreat = Threat;
                                Tile = self.id;
                            }
                            Index += 1;
                        }
                    }
                }
            }
        }
        if((MaxThreat <= MinThreat)&&(Get_Spell_Stats(Get_Item_Stats(Character.Items[ItemSlot],'Effect'),Get_Item_Stats(Character.Items[ItemSlot],'EffectLevel'),'TargetType') = 'Allies')){//if the most banged up character isnt more than x% hurt, dont bother healing.
            return false;
        }
        else if(Tile != noone){//if we have targets
            Character.CurrentTarget = Tile;
            Character.Action = string(Get_Spell_Stats(Get_Item_Stats(Character.Items[ItemSlot],'Effect'),Get_Item_Stats(Character.Items[ItemSlot],'EffectLevel'),'SpellType')+'Item');
            Character.Item = ItemSlot;
            AI_MoveToPoint(Character, Tile);
            return true;
        }
        else{//no targets
            return false;
        }
    }
    else{//Character does not have item
        return false;
    }
}
return true;
