//This script finds and calls the correct script
var ID, SubID, NextRoom, Trigger; //What bookshelf did we interact with and where are we at during the script.
ID = argument0;
SubID = argument1;
NextRoom = argument2;
Trigger = argument3;

//transition_kind=0;
/*0 = no effect//gm 8.1 transition types
 1 = Create from left
 2 = Create from right
 3 = Create from top
 4 = Create from bottom
 5 = Create from center
 6 = Shift from left
 7 = Shift from right
 8 = Shift from top
 9 = Shift from bottom
 10 = Interlaced from left
 11 = Interlaced from right
 12 = Interlaced from top
 13 = Interlaced from bottom
 14 = Push from left
 15 = Push from right
 16 = Push from top
 17 = Push from bottom
 18 = Rotate to the left
 19 = Rotate to the right
 20 = Blend the rooms
 21 = Fade out and in*/
 
if(!instance_exists(RoomTransitionControler)){//if the controler doesnt exist, create it
    instance_create(0,0,RoomTransitionControler);
    RoomTransitionControler.ID = ID;
    RoomTransitionControler.SubID = SubID;
    RoomTransitionControler.NextRoom = NextRoom;
    RoomTransitionControler.Trigger = Trigger;
}

switch(Trigger){
    case 'Right':
        Generic_Right_Transition(ID,SubID,NextRoom);
    break;
    case 'Left':
        Generic_Left_Transition(ID,SubID,NextRoom);
    break;
    case 'Up':
        Generic_Up_Transition(ID,SubID,NextRoom);
    break;
    case 'Down':
        Generic_Down_Transition(ID,SubID,NextRoom);
    break;
    default:
        Generic_Stair_Transition(ID,SubID,NextRoom);
}
