var Character, Message;
var HPGain, MPGain, AttackGain, DefenseGain, AgilityGain;

Character = argument0;

//Level
Character.Level += 1;
Character.Experience -= 100;
Message = string('#' + Character.Name + ' is now level ' + string(Character.Level));

AttackGain = 0;
DefenseGain = 0;
AgilityGain = 0;
HPGain = 0;
MPGain = 0;

if(Character.Level <= 30){
    AttackGain = floor(random_range(0,1) + 1);//Attack
    DefenseGain = floor(random_range(0,1) + 1);//Defense
    AgilityGain = floor(random_range(0,1) + .93);//Agility
    HPGain = floor(random_range(0,1) + 1.6);//MaxHP
    MPGain = floor(random_range(0,1) + 0);//MaxMP
}

//Update Stats
Character.Attack += AttackGain;
Character.Defense += DefenseGain;
Character.Agility += AgilityGain;
Character.MaxHealth += HPGain;
Character.MaxMagic += MPGain;

if(AttackGain > 0){
    Message += string('^#Attack increased by ' + string(AttackGain));
}
if(DefenseGain > 0){
    Message += string('^#Defense increased by ' + string(DefenseGain));
}
if(AgilityGain > 0){
    Message += string('^#Agility increased by ' + string(AgilityGain));
}
if(HPGain > 0){
    Message += string('^#Maximum HP increased by ' + string(HPGain));
}
if(MPGain > 0){
    Message += string('^#Maximum MP increased by ' + string(MPGain));
}

//ending trigger
Message += '^@';

return Message;





