//Cutscene 2 (Meeting Max)
//can call 'with CutsceneControler' if needbe

//We're all finished here. We should go meet Historian Minas by the docks.
var Jason, Max, Kira;
Jason = PlayerTownObject;
with(FollowerCharacterObject){
    if(ID = 2){
        Max = self.id;
    }
    else if(ID = 4){
        Kira = self.id;
    }
}

switch (State){
    case 0:
        State += 1;
        PlayerTownObject.CutsceneMode = true;
        PlayerTownObject.AllowInteraction = false;//disable the player's motor skills. 
        CreateDialogueBasic(0,0,string(WordWrap(string(global.Name[1])+" tries to open the chest.",200,'#',false)),self.id,true);
        DialogueControler.Voice = noone;
    break;
    
    case 1:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 2:
        State += 1;
        Shudder(Jason);
    break;
    
    case 3:
        State += 1;
        CreateDialogueBasic(0,0,string(WordWrap("But the chest is locked!",200,'#',false)),self.id,true);
        DialogueControler.Voice = noone;
    break;
    
    case 4:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 5:
        State += 1;
        var i, j;
        i = 1;
        j = 1;
        while(i <= global.ForceMembers){
            if(global.In_Force[j]){//if they are in the force,
                if(global.Items[j,4] = 0){
                    //Give_Item_Town(j,Item);
                    //CreateDialogueBasic(0,0,WordWrap(string(global.Name[j]) + " recieves the " + string(Get_Item_Stats(Item,'Name'))+ string(Get_Item_Stats(Item,'Name2')) + "!",200,'#',false),self.id,true);
                    //DialogueControler.Voice = noone;
                    //Looted = true;
                    //global.ChestLooted[ID] = 1;//Mark as looted
                    //if(global.In_Force[4]){//if Kira is in the force
                        //State = 100;
                    //}
                    //else{//otherwise...
                    State = 100;
                    ShakeHead(Jason);
                    //}
                    break;
                }
                i += 1;
            }
            j += 1;
        }
        if(i > global.ForceMembers){//didnt give item to a player so... display "nobody can hold it" message
            State = 300;
            CreateDialogueBasic(1,0,WordWrap("Even if we could open it,^ none of us would be able to carry the item.",200,'#',false),self.id,true);
            DialogueControler.Voice = noone;
        }
    break;
    
    
    case 100:
        State += 1;
        CreateDialogueBasic(1,0,WordWrap("It's locked.^ We won't be able to open it without a key.",200,'#',false),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 101:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 102:
        State += 1;
        Max.direction = LookAtTarget(Max.x,Max.y,Jason.x,Jason.y);
        CreateDialogueBasic(2,0,WordWrap(string(global.Name[1])+" give me your sword.",200,'#',false),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 103:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 104:
        State += 1;
        Jason.direction = LookAtTarget(Jason.x,Jason.y,Max.x,Max.y);
        CreateDialogueBasic(1,0,WordWrap("Why?",200,'#',false),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 105:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 106:
        State += 1;
        CreateDialogueBasic(2,0,WordWrap("So I can smash the lock!",200,'#',false),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 107:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 108:
        State += 1;
        CreateDialogueBasic(1,0,WordWrap("Knowing you,^ you'll end up breaking both the sword and the treasure with your attempt.",200,'#',false),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 109:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 110:
        State += 1;
        CreateDialogueBasic(2,0,WordWrap("Oh come on,^ I got this!",200,'#',false),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 111:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 112:
        State += 1;
        ShakeHead(Jason);
    break;
    
    case 113:
        State += 1;
        CreateDialogueBasic(1,0,WordWrap("We'll have to find another way to open it.",200,'#',false),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 114:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 115:
        State += 1;
        if(!global.In_Force[4]){//if Kira is NOT in the force
            //State = 300;//end the cutscene
            PlayerTownObject.CutsceneMode = false;
            PlayerTownObject.AllowInteraction = true;//disable the player's motor skills. 
            instance_destroy();
        }
        else{
            CreateDialogueBasic(4,0,WordWrap("-Sigh-^ You people are helpless.",200,'#',false),self.id,true);
            DialogueControler.Voice = Dialogue4Sound;
        }
    break;
    
    case 116:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 117:
        State += 1;
        Kira.direction = LookAtTarget(Kira.x,Kira.y,24,768);
        CreateDialogueBasic(0,0,WordWrap("Kira sticks a short wire into the lock.",200,'#',false),self.id,true);
        DialogueControler.Voice = noone;
    break;
    
    case 118:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 119:
        State += 1;
        var i, j,Item;
        i = 1;
        j = 1;
        Item = 12;
        while(i <= global.ForceMembers){
            if(global.In_Force[j]){//if they are in the force,
                if(global.Items[j,4] = 0){
                    Give_Item_Town(j,Item);
                    CreateDialogueBasic(0,0,WordWrap(string(global.Name[j]) + " recieves the " + string(Get_Item_Stats(Item,'Name')) + "!",200,'#',false),self.id,true);
                    DialogueControler.Voice = noone;
                    with(instance_position(24,768,LootableObject)){
                        Looted = true;
                        image_index = 1;//open chest
                    }
                    global.ChestLooted[3] = 1;//Mark as looted
                    break;
                }
                i += 1;
            }
            j += 1;
        }
    break;
    
    case 120:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 121:
        State += 1;
        CreateDialogueBasic(4,0,WordWrap("What a surprise,^ a useless old rope.",200,'#',false),self.id,true);
        DialogueControler.Voice = Dialogue4Sound;
    break;
    
    case 122:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 123:
        State += 1;
        Max.direction = LookAtTarget(Max.x,Max.y,Kira.x,Kira.y);
        CreateDialogueBasic(2,0,WordWrap("Well,^ at least it's better than nothing.",200,'#',false),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 124:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 125:
        State += 1;
        Kira.direction = LookAtTarget(Kira.x,Kira.y,Max.x,Max.y);
        CreateDialogueBasic(4,0,WordWrap("If you want to carry that dirty old rope around with you,^ be my guest. ",200,'#',false),self.id,true);
        DialogueControler.Voice = Dialogue4Sound;
    break;
    
    case 126:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 127:
        State += 1;
        CreateDialogueBasic(2,0,WordWrap("You're just jealous because you don't have a dirty old rope to carry.",200,'#',false),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 128:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 129:
        State += 1;
        CreateDialogueBasic(1,0,WordWrap("Okay,^ I see where this is going.^ Let's get out of here before you two start killing each other again.",200,'#',false),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 130:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 131:
        State += 1;
        PlayerTownObject.CutsceneMode = false;
        PlayerTownObject.AllowInteraction = true;//disable the player's motor skills. 
        instance_destroy();
    break;
}



/*var i, j;
i = 1;
j = 1;
while(i <= global.ForceMembers){
    if(global.In_Force[j]){//if they are in the force,
        if(global.Items[j,4] = 0){
            //Give_Item_Town(j,Item);
            //CreateDialogueBasic(0,0,WordWrap(string(global.Name[j]) + " recieves the " + string(Get_Item_Stats(Item,'Name'))+ string(Get_Item_Stats(Item,'Name2')) + "!",200,'#',false),self.id,true);
            //DialogueControler.Voice = noone;
            //Looted = true;
            //global.ChestLooted[ID] = 1;//Mark as looted
            if(global.In_Force[4]){//if Kira is in the force
                State = 100;
            }
            else{//otherwise...
                State = 200;
            }
            break;
        }
        i += 1;
    }
    j += 1;
}
if(i > global.ForceMembers){//didnt give item to a player so... display "nobody can hold it" message
    State = 300;
    CreateDialogueBasic(0,0,WordWrap("Even if we could open it,^ none of us would be able to carry the item.",200,'#',false),self.id,true);
    DialogueControler.Voice = noone;
}*/




/*
Jason tries to open the chest
shudder
but the chest is locked!

Jason, give me your sword.
Why?
So I can smash the lock!
Knowing you,^ you'll end up breaking both the sword and the treasure with your attempt.
Oh come on, I got this!
Shake head
We'll have to find another way to open it.


-Sigh- You people are helpless.
Kira sticks a short wire into the lock.
x recieves the old rope!
What a surprise, a useless old rope.
Well, at least it's better than nothing.
If you want to carry that dirty old rope around with you, be my guest. 
You're just jelous because you don't have a dirty old rope to carry.
Okay, I see where this is going. Let's get out of here before you two start killing each other again.



