switch (State){
//=====================
//Start Attack Sequence
//=====================
case 0:
    DoubleAttack = Test_Double_Attack(Attacker.Character);//test for double attack
    Counter = (((CanAttackTarget(instance_position(round(Reciever.Character.x), round(Reciever.Character.y), objCell),Get_Battle_Stat_Total(Reciever.Character,'AttackRange'),Get_Battle_Stat_Total(Reciever.Character,'AttackLimit'),3, Attacker.Character)))&&(Test_Counter_Attack(Reciever.Character))&&(Attacker.Character.IsSleeping = 0));//test if the target counters the attack
    //DoubleAttack = true; //debugly stuff
    //Counter = true;
    CreateBattleDialogueBasic(WordWrap(string(Attacker.Character.Name)+' Attacks!^*@ ',200,'#',false), self.id);
    State = 10;//Perform attack animation
    break;
//========================
//Perform Attack Animation
//========================
case 10:
    with(BattleCutsceneDialogueControler){//remove the dialogue
        instance_destroy();
    }
    //Have character perform attack animation
    if(TestForPan()){
        with(Attacker){
            State = 'RangedAttack';//Tell the character what animation to perform
            event_perform(ev_other,ev_user0);//user 0 starts the correct animation
        }
    }
    else{
        with(Attacker){
            State = 'Attack';//Tell the character what animation to perform
            event_perform(ev_other,ev_user0);//user 0 starts the correct animation
        }
    }
    //test for critical attack (if you want a melee AOE to crit all, uncomment this and comment out the other)
    /*if(Test_Critical_Hit(Attacker.Character)){//maybe move this to the hit?
        Critical = 1;
        sound_play(CriticalSound);
    }
    else{
        Critical = 0;
    }*/
    State = 20;//test for pan (Ranged attack)
    break;
//================
//End Attack Swing
//================
case 20:
    State = 30;//test for block
    if(TestForPan()){
        alarm[1] = 10;
        //PanBattleCutscene();
        //test for projectile
        if(TargetIndex = 0){//only create projectile for first shot
            //instance_create(0,0,BattleCutsceneProjectileObject);
            if(Get_Item_Stats(Get_Equipped_Weapon_Battle(Attacker.Character),'ProjectileSprite')!= BlankSprite){
                Attacker.ShowWeapon = false;
                instance_create(0,0,BattleCutsceneProjectileObject);
                Projectile = true;
                if(Attacker.Character.CutscenePositionState = 'Player'){
                    BattleCutsceneProjectileObject.PanDirection = 'Left';
                }
                else{
                    BattleCutsceneProjectileObject.PanDirection = 'Right';
                }
                BattleCutsceneProjectileObject.PanSpeed = Get_Item_Stats(Get_Equipped_Weapon_Battle(Attacker.Character),'ProjectilePanSpeed');
                BattleCutsceneProjectileObject.sprite_index = Get_Item_Stats(Get_Equipped_Weapon_Battle(Attacker.Character),'ProjectileSprite');
            }
        }
        //projectile
    }
    else{
        event_perform(ev_other,ev_user0);
    }
    break;
//==============
//Test For Block
//==============  
case 30:
    //Reciever.DisplayHUD = true; //Display target HUD
    if(!Projectile){//if projectile exists, wait for it to hit the target. If not, then just skip this
        //if(true){//debug for block
        if(Test_Block(Attacker.Character, Reciever.Character)){//test for block
            //play block animation
            with(Reciever){
                State = 'Block';//animation to perform
                event_perform(ev_other,ev_user0);//start animation
                sound_play(MissSound);
            }
            if(Attacker.Character.Faction = 'Player'){//add XP only if the player does damage
                EXP += 1;//1 xp for missing
            }
            State = 40; //display block message
            //event_perform(ev_other,ev_user0);
        }
        else{//didnt block, play hit animation
            State = 60;//Hit animation
            event_perform(ev_other,ev_user0);
        }
    }
    break;
//=====================
//Display Block Message
//=====================
case 40:
    CreateBattleDialogueBasic(WordWrap(string(Reciever.Character.Name) + ' '+ GetBlockMessage(Reciever.Character) +'^*@',200,'#',false), self.id);
    State = 50;//end block animation
    break;
//===================
//End Block Animation
//===================
case 50:
    with(BattleCutsceneDialogueControler){//remove the dialogue
        instance_destroy();
    }
    with(Reciever){
        State = 'EndBlockAnimation';//play end block animation
        event_perform(ev_other,ev_user0);//start the animation
    }
    State = 80;//test for pan / counter / ect.
    break;
//==================
//Play Hit Animation
//==================
case 60:
    //the noob didnt block... play hit animation and take damage.
    //if(!Projectile){//if projectile exists, wait for it to hit the target. If not, then just skip this
        //==============Comment this out if you decide to switch to crit all units in AOE case
        if(Test_Critical_Hit(Attacker.Character)){//Did we get a critical hit?
            Critical = 1;
            sound_play(CriticalSound);
        }
        else{
            Critical = 0;
        }//============
        
        Damage = Calculate_Battle_Damage(Attacker.Character,Reciever.Character,Critical,CounterDamageFlag); 
        //if(Damage <= 0){//minimum damage is 1. no longer needed, low capped within script
            //Damage = 1;
        //}
        Reciever.Character.Health -= Damage;//damage character
        
        if(Reciever.Character.Health <= 0){//if they die
            Reciever.Character.Dead = true;//Flag character as dead
            Reciever.Character.Health = 0;//set health to 0
            BattleControler.Deaths +=1;//number of deaths increases
            if(Attacker.Character.Faction = 'Player'){//update kills (if enemy died)
                Attacker.Character.Kills += 1;
            }
            /*if(Reciever.Character.Faction = 'Player'){//update deaths (if player died)
                global.IsDead[Reciever.Character.ID] = true;//globally flag as dead.
                Reciever.Character.Defeats += 1;
            }*/
        }
        
        with(Reciever){
            event_perform(ev_other,ev_user1);//Update HUD 
            Hit = 10;//play hit animation
            HitFlash = 0;
            State = 'Hit';
            sound_play(HitSound);
        }
        
        if(Attacker.Character.Faction = 'Player'){//add XP only if the player does damage
            if(Calculate_Z(Attacker.Character,Reciever.Character) > HighestZ){//remember what our XP cap is.
                HighestZ = Calculate_Z(Attacker.Character,Reciever.Character);
            }
            EXP += Calculate_EXP(Calculate_Z(Attacker.Character,Reciever.Character),Damage,Reciever.Character.MaxHealth,MinimumXP,Reciever.Character.Dead);//Z,D,M,Min,Bonus
        }
        State = 70; //display hit message
    //}
    break;
//===================
//Display Hit Message
//===================
case 70:
    if(Critical){//if criticalmessage
        CreateBattleDialogueBasic(WordWrap('Critical Hit!#' + string(Reciever.Character.Name) + ' took ' + string(Damage) + '  Damage!',200,'#',false), self.id);
    }
    else{//otherwise normal message
        CreateBattleDialogueBasic(WordWrap(string(Reciever.Character.Name) + ' took ' + string(Damage) + '  Damage!',200,'#',false), self.id);
    }
    if(Reciever.Character.Health <= 0){//if target is dead, append death message
        AppendBattleCutsceneDialogueBasic(WordWrap('#'+string(Reciever.Character.Name)+' was defeated.',200,'#',false));
        Reciever.Dead = true;//Play death animation (This is put here so it plays AFTER the hit animation)
        //Reciever.Character.Dead = true;//Flag character as dead
        if((Attacker.Character.Faction = 'Player')&&(Attacker.Character.Faction != Reciever.Character.Faction)){//if the player is not attacking its allies
            Gold += Reciever.Character.Gold;//reward gold
            //Test for dropping an item
            var i;
            i = 1;
            for(i = 1; i<5; i+=1){
                if(Get_Item_Stats(Reciever.Character.Items[i],'DropInBattle')){
                    AppendBattleCutsceneDialogueBasic(WordWrap('#'+string(Reciever.Character.Name)+' dropped the '+string(Get_Item_Stats(Reciever.Character.Items[i],'Name'))+'.^',200,'#',false));
                    if(Attacker.Character.Items[4] = 0){//we can hold this item
                        Give_Item_Battle(Attacker.Character, Reciever.Character.Items[i]);
                        AppendBattleCutsceneDialogueBasic(WordWrap('#'+string(Attacker.Character.Name)+' recieved the '+string(Get_Item_Stats(Reciever.Character.Items[i],'Name'))+'.^',200,'#',false));
                    }
                    else{//we cant hold it
                        AppendBattleCutsceneDialogueBasic(WordWrap('#But '+string(Attacker.Character.Name)+" can't carry it!^",200,'#',false));
                        if(Get_Item_Stats(Reciever.Character.Items[i],'RareItem')){//if we add it to deals
                            Add_To_Deals(Reciever.Character.Items[i]);
                        }
                    }
                }
            }
        }
    }
    //Append any status effects
    else{
        if((Critical && global.LegacyStatusEffect &&(HasStatusHit(Attacker.Character)))||(!global.LegacyStatusEffect)){//Append Status ailments. If legacy mode, can only be done on crit.
            AppendBattleCutsceneDialogueBasic(ApplyBattleCutsceneStatusEffects(Attacker.Character,Reciever.Character));
        }
    }
    
    AppendBattleCutsceneDialogueBasic('^*@ ');//add delay and action call to the message
    State = 80;//continue cutscene
    break;
//=================
//Continue Cutscene
//=================
case 80:
    with(BattleCutsceneDialogueControler){//remove the dialogue
        instance_destroy();
    }
    
    if(TargetIndex < (NumberOfTargets -1)){//if there are more targets
        ReturnToAttacker = false;
        //cycle through the rest of the targets
        //make sure to test if dead before attacking them in case of double attack
        TargetIndex +=1;
        NextCharacter = CurrentTarget[TargetIndex];
        Reciever = NextCharacter;
        State = 20;//post delay
        event_perform(ev_other,ev_user0);
    }
    else{//if original attacker isnt dead (in case of hitting themselves, curse, ect)
        with(ProjectileExplosionControler){
            instance_destroy();
        }
        ReturnToAttacker = true;
        Attacker.ShowWeapon = true;;
        if((DoubleAttack)&&(!CurrentTarget[0].Dead)){
            NextCharacter = Attacker;//Pan to attacker (if not already on them)
            if(TestForPan()){
                State = 90;//Double Attack Message
                PanBattleCutscene();
            }
            else{
                State = 100;//End Attack Animation
                event_perform(ev_other,ev_user0);
            }
        }
        else if((Counter)&&(!CurrentTarget[0].Dead)){
            NextCharacter = CurrentTarget[0];//to pan to
            if(TestForPan()){
                State = 110;//Counter Attack Message
                PanBattleCutscene();
            }
            else{
                State = 100;//End Attack Animation
                event_perform(ev_other,ev_user0);
            }
        }
        else{//done with battle cutscene
            NextCharacter = CurrentCharacter[0];//Pan to original character
            if(TestForPan()){
                State = 115;//End Battle Phase
                PanBattleCutscene();
            }
            else{
                State = 100;//End Attack Animation
                event_perform(ev_other,ev_user0);
            }
        }
    }
    break;
//=====================
//Double / Counter test
//=====================
case 90://
    Attacker.DisplayHUD = true; //Display target HUD

    if((DoubleAttack)&&(!CurrentTarget[0].Dead)){//if double attack and the target isnt dead
        DoubleAttack = false;//so we dont infinitely attack
        TargetIndex = 0;//reset target index
        Reciever = CurrentTarget[0];//reciever is now the initial target
        NextCharacter = Reciever;
        CreateBattleDialogueBasic(WordWrap(string(CurrentCharacter[CharacterIndex].Character.Name)+' Attacks again!^*@ ',200,'#',false), self.id);
        State = 10;//start the battle cycle over again.
    }
    else if((Counter)&&(!CurrentTarget[0].Dead)){
        NextCharacter = CurrentTarget[0];//to pan to
        if(TestForPan()){
            State = 110;//Counter Attack Message
            PanBattleCutscene();
        }
        else{
            State = 110;//Counter Attack Message
            event_perform(ev_other,ev_user0);
        }
    }
    else{
        State = 115;//End Battle Phase
        event_perform(ev_other,ev_user0);
    }
    break;
//====================
//End Attack Animation
//====================
case 100://end attack animation
    Attacker.State = 'EndAttackAnimation';
    with(Attacker){
        event_perform(ev_other,ev_user0);
    }
    State = 90;//double / counter / end test
    break;
//======================
//Counter Attack Message
//======================
case 110://counter attack message
    Counter = false;
    CounterDamageFlag = true;//halves the damage output
    Attacker = CurrentTarget[0];
    Reciever = CurrentCharacter[0];
    NextCharacter = Reciever;
    CreateBattleDialogueBasic(WordWrap(string(Attacker.Character.Name)+' Counters!^*@ ',200,'#',false), self.id);
    State = 10;//Enter Battle Loop Again, this time with counter attack.
    break;
//=============
//Cursed Damage
//=============
case 115:

//if(CurrentCharacter[0].Character.IsCursed && (CurrentCharacter[0].Character.Uncurse = 0)){//are we cursed?
    if((CurrentCharacter[0].Character.IsCursed && (CurrentCharacter[0].Character.Uncurse = 0))&&(((Get_Item_Stats(CurrentCharacter[0].Character.Items[CurrentCharacter[0].Character.EquippedWeapon], 'CurseDamage')>0)&&(random_range(0,1) > (1-Get_Item_Stats(CurrentCharacter[0].Character.Items[CurrentCharacter[0].Character.EquippedWeapon], 'CurseDamageChance'))))||((Get_Item_Stats(CurrentCharacter[0].Character.Items[CurrentCharacter[0].Character.EquippedItem], 'CurseDamage')>0)&&(random_range(0,1) > (1-Get_Item_Stats(CurrentCharacter[0].Character.Items[CurrentCharacter[0].Character.EquippedItem], 'CurseDamageChance')))))){
        Damage = (Get_Item_Stats(CurrentCharacter[0].Character.Items[CurrentCharacter[0].Character.EquippedWeapon], 'CurseDamage')+Get_Item_Stats(CurrentCharacter[0].Character.Items[CurrentCharacter[0].Character.EquippedItem], 'CurseDamage'));//make curse damage variable
        CurrentCharacter[0].Character.Health -= Damage;//damage character
        
        if(CurrentCharacter[0].Character.Health <= 0){//if they die
            CurrentCharacter[0].Character.Dead = true;//Flag character as dead
            CurrentCharacter[0].Character.Health = 0;//set health to 0
            BattleControler.Deaths +=1;//number of deaths increases
        }
        
        with(CurrentCharacter[0]){
            event_perform(ev_other,ev_user1);//Update HUD 
            Hit = 10;//play hit animation
            HitFlash = 0;
            State = 'Hit';
            sound_play(HitSound);
        }
        State = 116;
    }
    else{
        State = 120;
        event_perform(ev_other,ev_user0);
    }
//}
break;
//==============
//Cursed Message
//==============
case 116:
    CreateBattleDialogueBasic(WordWrap('A curse!#' + string(CurrentCharacter[0].Character.Name) + ' took ' + string(Damage) + '  Damage!',200,'#',false), self.id);
    if(CurrentCharacter[0].Character.Health <= 0){//if target is dead, append death message
        AppendBattleCutsceneDialogueBasic(WordWrap('#'+string(CurrentCharacter[0].Character.Name)+' was defeated.',200,'#',false));
        CurrentCharacter[0].Dead = true;//Play death animation (This is put here so it plays AFTER the hit animation)
    }
    AppendBattleCutsceneDialogueBasic('^*@ ');//add delay and action call to the message
    State = 120;
break;
//================
//End Battle Phase
//================    
case 120:
    State = 130;//Level Up (if we get there)
    with(BattleCutsceneDialogueControler){//remove the dialogue
        instance_destroy();
    }
    Player = noone;
    if((!CurrentCharacter[0].Character.Dead)&&(EXP > 0)&&(CurrentCharacter[0].Character.Faction = 'Player')){//if attacker gets XP,
        Player = CurrentCharacter[0].Character;
    }
    else if((!CurrentTarget[0].Character.Dead)&&(EXP > 0)&&(CurrentTarget[0].Character.Faction = 'Player')){//if target gets XP, (counter attack)
        Player = CurrentTarget[0].Character;
    }
    if(Player != noone){
        if(Player.IsSummon){//if this is a summoned unit, give exp to the unit's master
            var End;
            End = false;
            while(!End){//Since a summoned creature can have summoned units of its own, loop through the chain to find the initial master
                with(Player){//should the caster or any of the chain be killed, the caster does NOT get exp
                    if(Master != noone){
                        BattleCutsceneControler.Player = Master;
                        if(!Master.IsSummon){
                            End = true;
                        }
                    }
                    else{
                        BattleCutsceneControler.Player = noone;
                        End = true;;
                    }
                }
            }
        }
    }
    if(Player != noone){
        var Experience;
        Experience = Finalize_Exp(EXP,HighestZ);
        CreateBattleDialogueBasic(WordWrap(string(Player.Name)+ ' recieves ' + string(Experience) + '  Exp.^*@ ',200,'#',false), self.id);
        Player.Experience += Experience;
    }
    else{//no xp for you (Non player attacked)
        State = -1;//No state, end cutscene
        CreateScreenFade(c_black,0,1,.025,'out',self.id);
    }
    break;
//========
//Level Up
//========
case 130:
    if(Player.Experience >= 100){//check for level up
        sound_play(HealSound);
        AppendBattleCutsceneDialogueBasic(LevelUp(Player));//give player stat gains and display on screen (this event is then re-called after)
        with(BattleCutscenePlayerControler){//update battle window display
            event_perform(ev_other,ev_user1);
        }
    }
    else{//no level up (or broke the level up loop)
        if(Gold != 0){//Append gold
            global.Gold += Gold;
            AppendBattleCutsceneDialogueBasic('#Found ' + string(Gold) + ' gold coins.^*@ ');
            Gold = 0;
        }
        else{
            with(BattleCutsceneDialogueControler){//remove the dialogue
                instance_destroy();
            }
            //fade out
            CreateScreenFade(c_black,0,1,.025,'out',self.id);
        }
    }
    break;
}

//============
//Recieve Gold
//============




    
    


    


    
    
    
    






















    



