//Cutscene 7, Sailing part 1

var Jason, Max, Ciera, Kira, Karina, Phillip, HistorianMinas, Grundag, Viking1, Viking2;
    Jason = PlayerTownObject;
    with(FollowerCharacterObject){
        if(ID = 2){
            Max = self.id;
        }
        else if(ID = 3){
            Ciera = self.id;
        }
        else if(ID = 4){
            Kira = self.id;
        }
        else if(ID = 5){
            Karina = self.id;
        }
        else if(ID = 6){
            Phillip = self.id;
        }
    }
    with(GenericNPCObject){
        if(ID = 200){
            HistorianMinas = self.id;
        }
        else if(ID = 1000){
            Viking1 = self.id;
        }
        else if(ID = 1001){
            Viking2 = self.id;
        }
        else if(ID = 1002){
            Grundag = self.id;
        }
    }
    

switch (State){
    case 0:
        State += 1;
        Jason = CreateTownPlayer(360,408,270,1,1,false,true);
        Max = CreateTownFollower(408,336,270,2,2,0,true,Jason);//X,Y,Direction,ID,SpriteID,MoveScriptID,CutsceneMode,ObjFollowing
        Ciera = CreateTownFollower(408,384,270,3,3,0,true,Max);//X,Y,Direction,ID,SpriteID,MoveScriptID,CutsceneMode,ObjFollowing
        Kira = CreateTownFollower(360,360,270,4,4,0,true,Ciera);
        Karina = CreateTownFollower(384,336,270,5,5,0,true,Kira);
        Phillip = CreateTownFollower(360,384,270,6,6,0,true,Karina);
        
        HistorianMinas = instance_create(384,432,GenericNPCObject);
        HistorianMinas.direction = 270;
        HistorianMinas.CutsceneMode = true;
        HistorianMinas.ID = 200;
        HistorianMinas.SpriteID = 200;
        HistorianMinas.MovementScriptID = 0;
        
        
        Viking1 = instance_create(360,240,GenericNPCObject);
        Viking1.direction = 270;
        Viking1.CutsceneMode = true;
        Viking1.ID = 1000;
        Viking1.SpriteID = 1002;
        Viking1.MovementScriptID = 0;
        
        Viking2 = instance_create(408,240,GenericNPCObject);
        Viking2.direction = 270;
        Viking2.CutsceneMode = true;
        Viking2.ID = 1001;
        Viking2.SpriteID = 1002;
        Viking2.MovementScriptID = 0;
        
        //additional vikings with no script
        var Temp;
        Temp = instance_create(360,504,GenericNPCObject);
        Temp.direction = 90;
        Temp.CutsceneMode = true;
        Temp.SpriteID = 1002;
        Temp = instance_create(408,480,GenericNPCObject);
        Temp.direction = 90;
        Temp.CutsceneMode = true;
        Temp.SpriteID = 1002;
        Temp = instance_create(360,576,GenericNPCObject);
        Temp.direction = 90;
        Temp.CutsceneMode = true;
        Temp.SpriteID = 1002;
        Temp = instance_create(432,552,GenericNPCObject);
        Temp.direction = 90;
        Temp.CutsceneMode = true;
        Temp.SpriteID = 1002;
        Temp = instance_create(504,528,GenericNPCObject);
        Temp.direction = 180;
        Temp.CutsceneMode = true;
        Temp.SpriteID = 1002;
        Temp = instance_create(288,504,GenericNPCObject);
        Temp.direction = 0;
        Temp.CutsceneMode = true;
        Temp.SpriteID = 1002;
        
        MainControler.CameraTarget = Grundag;
        MainControler.CameraSpeed = -1;
        CreateScreenFade(c_black,1,0,.05,'in',self.id);
    break;
    
    case 1:
        State += 1;
        NodHead(HistorianMinas);
    break;
    
    case 2:
        State += 1;
        CreateDialogueBasic(200,0,string(WordWrap("Greetings friend.^ They call me Historian Minas.^ It's a pleasure to make your acquaintance.",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue7Sound;
    break;
    
    case 3:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 4:
        State += 1;
        CreateDialogueBasic(0,0,string(WordWrap("Grundag.^ That's an impressive ship you have there.^ I've not seen one like it in these parts.^ Where do you hail from?",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue6Sound;
    break;
    
    case 5:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 6:
        State += 1;
        CreateDialogueBasic(200,0,string(WordWrap("We come from Verdius, the continent to the west.^ We were attacked by demons not too long ago.^ Our home is no longer habitable so we were looking for a place to settle down and rebuild. ",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue7Sound;
    break;
    
    case 7:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 8:
        State += 1;
        CreateDialogueBasic(0,0,string(WordWrap("Is that so? Are there more of you or are you the only survivors?",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue6Sound;
    break;
    
    case 9:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 10:
        State += 1;
        CreateDialogueBasic(200,0,string(WordWrap("There are more of us.^ We set out to find a safe place for a settlement.^ The others remain on the continent gathering what supplies they can for when we return.",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue7Sound;
    break;
    
    case 11:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 12:
        State += 1;
        Grundag.direction = 270;
        CreateDialogueBasic(0,0,string(WordWrap("I see.^ Lord Vandred will be pleased...",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue6Sound;
    break;
    
    case 13:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 14:
        State += 1;
        CreateDialogueBasic(200,0,string(WordWrap("Excuse me?",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue7Sound;
    break;
    
    case 15:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 16:
        State += 1;
        CreateDialogueBasic(0,0,string(WordWrap("I was just thinking how easy it will be to take this ship from six kids and an old man...",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue6Sound;
    break;
    
    case 17:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 18:
        State += 1;
        Shudder(HistorianMinas);
    break;
    
    case 19:
        State += 1;
        CreateDialogueBasic(200,0,string(WordWrap("What!?",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue7Sound;
    break;
    
    case 20:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 21:
        State += 1;
        MoveCharacter(Grundag,'Down',3,1.2);
    break;
    
    case 22:
        State += 1;
        alarm[0] = 30;
    break;
    
    case 23:
        State += 1;
        Viking1.y += 72;
        Viking2.y += 48;
        CreateDialogueBasic(0,0,string(WordWrap("Kill them.",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue6Sound;
        Play_BGM_Loop(EnemyAttackOST,0,1000);//New_BGM, Start Volume, Fade Time
    break;
    
    case 24:
        State = 30;
        PanOutDialogueBasic();
    break;
    
    case 30:
        State += 1;
        MainControler.CameraSpeed = 2;
        MainControler.SnapOverride = true;
        MainControler.CameraPathfinding = true;
        MainControler.CameraTarget = Kira;
    break;
    
    case 31:
        State += 1;
        Shudder(Kira);
    break;
    
    case 32:
        State += 1;
        Kira.direction = 90;
        Karina.direction = 180;
        Kira.MovementScriptID = 0;
        MoveCharacter(Kira,'Up',3,7.2);
    break;
    
    case 33:
        State += 1;
        sound_play(HitSound);
        MoveCharacter(Viking1,'Up',2,4.8);
    break;
    
    case 34:
        State += 1;
        instance_create(Viking1.x,Viking1.y,CutsceneBoomObject);
        with(Viking1){
            instance_destroy();
        }
        alarm[0] = 1;
        Kira.direction = 0;
    break;
    
    case 35:
        State += 1;
        Max.direction = 90;
        MoveCharacter(Kira,'Right',2,4.8);
    break;
    
    case 36:
        State += 1;
        sound_play(HitSound);
        Viking2.direction = 180;
        MoveCharacter(Viking2,'Right',2,4.8);
    break;
    
    case 37:
        State += 1;
        instance_create(Viking2.x,Viking2.y,CutsceneBoomObject);
        with(Viking2){
            instance_destroy();
        }
        alarm[0] = 1;
    break;
    
    case 38:
        State += 1;
        Shudder(Max);
    break;
    
    case 39:
        State += 1;
        MoveCharacter(Max,'Up',1,4.8);
    break;
    
    case 40:
        State += 1;
        CreateDialogueBasic(2,0,string(WordWrap("Hey! That one was mine!",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 41:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 42:
        State += 1;
        Kira.direction = 270;
        CreateDialogueBasic(4,0,string(WordWrap("Should have been faster.",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue3Sound;
    break;
    
    case 43:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 44:
        State += 1;
        CreateDialogueBasic(2,0,string(WordWrap("I'm still a much better fighter than you.",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 45:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 46:
        State += 1;
        CreateDialogueBasic(4,0,string(WordWrap("Then prove it.",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue3Sound;
    break;
    
    case 47:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 48:
        State += 1;
        CreateDialogueBasic(2,0,string(WordWrap("Okay.^ Whoever kills the most enemies on this trip wins.",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 49:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 50:
        State += 1;
        CreateDialogueBasic(4,0,string(WordWrap("Deal.",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue3Sound;
    break;
    
    case 51:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 52:
        State += 1;
        MainControler.CameraPathfinding = true;
        MainControler.CameraTarget = Phillip;
    break;
    
    case 53:
        State += 1;
        CreateDialogueBasic(6,0,string(WordWrap("Well this vacation just got dicked.^ I'm gonna go back inside.^ Wake me when you're all done with these guys.",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue6Sound;
    break;
    
    case 54:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 55:
        State += 1;
        Karina.MovementScriptID = -1;//Moving 2 characters at once, only fire one script
        Phillip.direction = 90;
        Karina.direction = 270;
        MoveCharacter(Karina,'Left',1,4.8);
        MoveCharacter(Phillip,'Up',1,4.8);
    break;
    
    case 56:
        State += 1;
        CreateDialogueBasic(5,0,string(WordWrap("Oh no you don't.^ You're helping us with this battle, or I'm setting you on fire.",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue3Sound;
    break;
    
    case 57:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 58:
        State += 1;
        CreateDialogueBasic(6,0,string(WordWrap("Ugh.^ Fine...",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue6Sound;
    break;
    
    case 59:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 60:
        State += 1;
        MainControler.CameraPathfinding = true;
        MainControler.CameraTarget = Jason;
    break;
    
    case 61:
        State += 1;
        CreateDialogueBasic(1,0,string(WordWrap("Stay focused everyone.^ We can't afford to lose this fight!",200,'#',false)),self.id,true);
        DialogueControler.Voice = Dialogue5Sound;
    break;
    
    case 62:
        State += 1;
        PanOutDialogueBasic();
    break;
    
    case 63:
        State += 1;
        ScreenFade(2,.02,'out',self.id);
        global.StoryState = 9;//update the story state
    break;
    
    case 64:
        State += 1;
        sound_stop_all();
        room_restart();
    break;
}

























