//argument 0 = x
//argument 1 = y
//argument 2 = PlayerType

var x1, y1, UnitType, LandType, Blocked, NewCost, CurrentCharacter, Overwrite;

x1 = argument0;
y1 = argument1;
CurrentCharacter = argument2;
UnitType = Get_Battle_Stat_Total(CurrentCharacter,'MovementType');//CurrentCharacter.MovementType;
LandType = argument3;
Overwrite = argument4;
Blocked = false;

if(instance_position(x1,y1,objGuy) != noone){//if there is a guy on the tile we're looking at
    Blocked = CheckFactionTarget(CurrentCharacter.Faction,instance_position(x1,y1,objGuy),'Enemies');//if it's an enemy, it counts as a wall
}

switch (UnitType){
case 'human':
    switch(LandType){
    
    case 'water':
    NewCost = 0;
    break;
    
    case 'open':
    NewCost = 1;
    break;
    
    case 'plains':
    NewCost = 1;
    break;
    
    case 'forest':
    NewCost = 2;
    break;
    
    case 'hills':
    NewCost = 1.5;
    break;
    
    case 'wall':
    NewCost = 0;
    break;
    
    case 'overgrowth':
    NewCost = 1.5;
    break;
    
    case 'sand':
    NewCost = 1.5;
    break;
    
    case 'mountains':
    NewCost = 0;
    break;
    
    }
break;

case 'elf':
    switch(LandType){
    
    case 'water':
    NewCost = 0;
    break;
    
    case 'open':
    NewCost = 1;
    break;
    
    case 'plains':
    NewCost = 1;
    break;
    
    case 'forest':
    NewCost = 2;
    break;
    
    case 'hills':
    NewCost = 1.5;
    break;
    
    case 'wall':
    NewCost = 0;
    break;
    
    case 'overgrowth':
    NewCost = 1.5;
    break;
    
    case 'sand':
    NewCost = 2;
    break;
    
    case 'mountains':
    NewCost = 0;
    break;
    
    }
break;


case 'centaur':
    switch(LandType){
    
    case 'water':
    NewCost = 0;
    break;
    
    case 'open':
    NewCost = 1;
    break;
    
    case 'plains':
    NewCost = 1;
    break;
    
    case 'forest':
    NewCost = 2.5;
    break;
    
    case 'hills':
    NewCost = 2.5;
    break;
    
    case 'wall':
    NewCost = 0;
    break;
    
    case 'overgrowth':
    NewCost = 1.5;
    break;
    
    case 'sand':
    NewCost = 2.5;
    break;
    
    case 'mountains':
    NewCost = 0;
    break;
    
    }
break;

case 'animal':
    switch(LandType){
    
    case 'water':
    NewCost = 0;
    break;
    
    case 'open':
    NewCost = 1;
    break;
    
    case 'plains':
    NewCost = 1.5;
    break;
    
    case 'forest':
    NewCost = 1;
    break;
    
    case 'hills':
    NewCost = 1;
    break;
    
    case 'wall':
    NewCost = 0;
    break;
    
    case 'overgrowth':
    NewCost = 1;
    break;
    
    case 'sand':
    NewCost = 2;
    break;
    
    case 'mountains':
    NewCost = 0;
    break;
    
    }
break;

case 'mechanical':
    switch(LandType){
    
    case 'water':
    NewCost = 0;
    break;
    
    case 'open':
    NewCost = 1;
    break;
    
    case 'plains':
    NewCost = 1;
    break;
    
    case 'forest':
    NewCost = 1.5;
    break;
    
    case 'hills':
    NewCost = 1.5;
    break;
    
    case 'wall':
    NewCost = 0;
    break;
    
    case 'overgrowth':
    NewCost = 1;
    break;
    
    case 'sand':
    NewCost = 1.5;
    break;
    
    case 'mountains':
    NewCost = 0;
    break;
    
    }
break;

case 'hovering':
    switch(LandType){
    
    case 'water':
    NewCost = 1;
    break;
    
    case 'open':
    NewCost = 1;
    break;
    
    case 'plains':
    NewCost = 1;
    break;
    
    case 'forest':
    NewCost = 1;
    break;
    
    case 'hills':
    NewCost = 1;
    break;
    
    case 'wall':
    NewCost = 0;
    break;
    
    case 'overgrowth':
    NewCost = 1;
    break;
    
    case 'sand':
    NewCost = 1;
    break;
    
    case 'mountains':
    NewCost = 1;
    break;
    
    }
break;



case 'flying':
    switch(LandType){
    
    case 'water':
    NewCost = 1;
    break;
    
    case 'open':
    NewCost = 1;
    break;
    
    case 'plains':
    NewCost = 1;
    break;
    
    case 'forest':
    NewCost = 1;
    break;
    
    case 'hills':
    NewCost = 1;
    break;
    
    case 'wall':
    NewCost = 0;
    break;
    
    case 'overgrowth':
    NewCost = 1;
    break;
    
    case 'sand':
    NewCost = 1;
    break;
    
    case 'mountains':
    NewCost = 1;
    break;
    
    }
break;
}
if(!Overwrite){//dont block for AI stuff
    if(Blocked){//if enemy is on this tile
        NewCost = 0;//we cant move there, treat it as a wall
    }
}

return NewCost;
