//Much like get item stats, this returns the info about promoting a character

//can they be promoted? (are they x level and y class?)
//can they be promoted to special class? (Do they have X item or requirement)
//if they cant be promoted, how come?


//needed info
//character's ID, return stat

var ID, ReturnStat, CanBePromoted, SpecialPromotion, CantPromoteReason, NewClass, SpecialClass, SpecialPromoMessage;

ID = argument0;
ReturnStat = argument1;

CanBePromoted = false;
SpecialPromotion = false;
CantPromoteReason = WordWrap(string('Hmmm...^ ' + global.Name[ID]) + ' needs more experience.',200,'#',false);//make this a message
NewClass = global.Class[ID];
SpecialClass = global.Class[ID];
SpecialPromoMessage = '.';

//Note, in sf2 there are 'special promotions' meaning if they can be promoted and have a certain item
//they can become either class. In other words. A mage can promote to wizard as normal, or sorcerer as 
//a special class if they have a book in their inventory. Both wizard and sorcerer are considered the 
//same promotion level. (1 in this instance) 0 is unpromoted, 1 is promoted once, 2 is promoted twice, ect.


if(global.Promoted[ID] = 1){//if maxed / already promoted (Can make '1' higher for more promotion stages)
    CantPromoteReason = WordWrap(string('Hmmm...^ ' + global.Name[ID]) + ' had better remain the current class.',200,'#',false);//make this a message
}
else if(global.Level[ID] >= 20){
    if(global.Class[ID] = 'SDMN'){
        CanBePromoted = true;
        NewClass = 'HERO';
        if(Has_Item_Town(ID,1)){
            SpecialPromotion = true;
            SpecialClass = 'WOLF';
            SpecialPromoMessage = ' with the Battered Sword.';
        }
    }
}




if(ReturnStat = "CanPromote"){
    return CanBePromoted;
}
if(ReturnStat = "CanSpecialPromote"){
    return SpecialPromotion;
}
if(ReturnStat = "Reason"){
    return CantPromoteReason;
}
if(ReturnStat = "NewClass"){
    return NewClass;
}
if(ReturnStat = "SpecialClass"){
    return SpecialClass;
}
if(ReturnStat = "SpecialPromoMessage"){
    return SpecialPromoMessage;
}


//WordWrap('Who do you want to promote?',200,'#',false)
