//Returns the sprite of the character based on arguments given.
//argument0 = character
//argument1 = Sprite to return

var SpriteID, Animation;
SpriteID = argument0;
Animation = argument1;

switch(SpriteID){//character's sprite ID
case 1://Jason
    switch(Animation){//sprite animation
        case 'Attack': return JasonAttack; break;
        case 'RangedAttack': return JasonAttack; break;
        case 'AttackEnd': return JasonIdle; break;
        case 'RangedAttackEnd': return JasonIdle; break;
        case 'Block': return JasonBlock; break;
        case 'BlockEnd': return JasonIdle; break;
        case 'SpellCast': return JasonAttack; break;
        case 'SpellCastEnd': return JasonIdle; break;
        case 'ItemUse': return JasonAttack; break;
        case 'EndItemUseAnimation': return JasonIdle; break;
        default: return JasonIdle; break;
    }break;
case 2://Max
    switch(Animation){//sprite animation
        case 'Attack': return MaxAttack; break;
        case 'RangedAttack': return MaxAttack; break;
        case 'Block': return MaxBlock; break;
        case 'SpellCast': return MaxAttack; break;
        case 'ItemUse': return MaxAttack; break;
        default: return MaxIdle; break;
    }break;
case 3://Ciera
    switch(Animation){//sprite animation
        case 'Attack': return CieraAttack; break;
        case 'RangedAttack': return CieraAttack; break;
        case 'Block': return CieraBlock; break;
        case 'SpellCast': return CieraCast; break;
        case 'ItemUse': return CieraCast; break;
        default: return CieraIdle; break;
    }break;
case 4://Kira
    switch(Animation){//sprite animation
        case 'Attack': return KiraAttack; break;
        case 'RangedAttack': return KiraRangedAttack; break;
        case 'Block': return KiraBlock; break;
        case 'SpellCast': return KiraAttack; break;
        case 'ItemUse': return KiraAttack; break;
        default: return KiraIdle; break;
    }break;
case 5://Karina
    switch(Animation){//sprite animation
        case 'Attack': return KarinaAttack; break;
        case 'RangedAttack': return KarinaAttack; break;
        case 'Block': return KarinaBlock; break;
        case 'SpellCast': return KarinaAttack; break;
        case 'ItemUse': return KarinaAttack; break;
        default: return KarinaIdle; break;
    }break;
case 6://phillip
    switch(Animation){//sprite animation
        case 'Attack': return PhillipAttack; break;
        case 'RangedAttack': return PhillipAttack; break;
        case 'Block': return PhillipBlock; break;
        case 'SpellCast': return PhillipAttack; break;
        case 'ItemUse': return PhillipAttack; break;
        default: return PhillipIdle; break;
    }break;
//=========
//=Enemies=
//=========
case 1000://wolf
    switch(Animation){//sprite animation
        case 'Attack': return WolfAttack; break;
        case 'RangedAttack': return WolfAttack; break;
        case 'Block': return WolfBlock; break;
        case 'SpellCast': return WolfAttack; break;
        case 'ItemUse': return WolfAttack; break;
        default: return WolfIdle; break;
    }break;
case 1001://alpha wolf
    switch(Animation){//sprite animation
        case 'Attack': return AlphaWolfAttack; break;
        case 'RangedAttack': return AlphaWolfAttack; break;
        case 'Block': return AlphaWolfBlock; break;
        case 'SpellCast': return AlphaWolfAttack; break;
        case 'ItemUse': return AlphaWolfAttack; break;
        default: return AlphaWolfIdle; break;
    }break;
case 1002://viking
    switch(Animation){//sprite animation
        case 'Attack': return VikingAttack; break;
        case 'RangedAttack': return VikingAttack; break;
        case 'Block': return VikingBlock; break;
        case 'SpellCast': return VikingAttack; break;
        case 'ItemUse': return VikingAttack; break;
        default: return VikingIdle; break;
    }break;
case 1003://viking archer
    switch(Animation){//sprite animation
        case 'Attack': return VikingArcherAttack; break;
        case 'RangedAttack': return VikingArcherAttack; break;
        case 'Block': return VikingArcherBlock; break;
        case 'SpellCast': return VikingArcherAttack; break;
        case 'ItemUse': return VikingArcherAttack; break;
        default: return VikingArcherIdle; break;
    }break;
case 1004://bat
    switch(Animation){//sprite animation
        case 'Attack': return BatAttack; break;
        case 'RangedAttack': return BatAttack; break;
        case 'Block': return BatBlock; break;
        case 'SpellCast': return BatAttack; break;
        case 'ItemUse': return BatAttack; break;
        default: return BatIdle; break;
    }break;
case 1005://forest serpent
    switch(Animation){//sprite animation
        case 'Attack': return SerpentAttack; break;
        case 'RangedAttack': return SerpentAttack; break;
        case 'Block': return SerpentBlock; break;
        case 'SpellCast': return SerpentAttack; break;
        case 'ItemUse': return SerpentAttack; break;
        default: return SerpentIdle; break;
    }break;
case 1006://pack leader
    switch(Animation){//sprite animation
        case 'Attack': return AlphaWolfAttack; break;
        case 'RangedAttack': return AlphaWolfAttack; break;
        case 'Block': return AlphaWolfBlock; break;
        case 'SpellCast': return AlphaWolfAttack; break;
        case 'ItemUse': return AlphaWolfAttack; break;
        default: return AlphaWolfIdle; break;
    }break;
case 1007://timber wolf
    switch(Animation){//sprite animation
        case 'Attack': return WolfAttack; break;
        case 'RangedAttack': return WolfAttack; break;
        case 'Block': return WolfBlock; break;
        case 'SpellCast': return WolfAttack; break;
        case 'ItemUse': return WolfAttack; break;
        default: return WolfIdle; break;
    }break;
case 1008://rabbit
    switch(Animation){//sprite animation
        default: return RabbitIdle; break;
    }break;
case 1009://vampire bat
    switch(Animation){//sprite animation
        case 'Attack': return BatAttack; break;
        case 'RangedAttack': return BatAttack; break;
        case 'Block': return BatBlock; break;
        case 'SpellCast': return BatAttack; break;
        case 'ItemUse': return BatAttack; break;
        default: return BatIdle; break;
    }break;
case 1010://hunter
    switch(Animation){//sprite animation
        case 'Attack': return HunterAttack; break;
        case 'RangedAttack': return HunterAttack; break;
        case 'Block': return HunterBlock; break;
        case 'SpellCast': return HunterAttack; break;
        case 'ItemUse': return HunterAttack; break;
        default: return HunterIdle; break;
    }break;    
case 1011://golem
    switch(Animation){//sprite animation
        case 'Attack': return GolemAttack; break;
        case 'RangedAttack': return GolemAttack; break;
        case 'Block': return GolemBlock; break;
        case 'SpellCast': return GolemAttack; break;
        case 'ItemUse': return GolemAttack; break;
        default: return GolemIdle; break;
    }break;
case 1012://rock golem
    switch(Animation){//sprite animation
        case 'Attack': return RockGolemAttack; break;
        case 'RangedAttack': return RockGolemAttack; break;
        case 'Block': return RockGolemBlock; break;
        case 'SpellCast': return RockGolemAttack; break;
        case 'ItemUse': return RockGolemAttack; break;
        default: return RockGolemIdle; break;
    }break;
//=========
//=Summons=
//=========
case 2000://wolf (Player)
    switch(Animation){//sprite animation
        case 'Attack': return AllyWolfAttack; break;
        case 'RangedAttack': return AllyWolfAttack; break;
        case 'Block': return AllyWolfBlock; break;
        case 'SpellCast': return AllyWolfAttack; break;
        case 'ItemUse': return AllyWolfAttack; break;
        default: return AllyWolfIdle; break;
    }break;
case 2001://wolf (Enemy)
    switch(Animation){//sprite animation
        case 'Attack': return WolfAttack; break;
        case 'RangedAttack': return WolfAttack; break;
        case 'Block': return WolfBlock; break;
        case 'SpellCast': return WolfAttack; break;
        case 'ItemUse': return WolfAttack; break;
        default: return WolfIdle; break;
    }break;
//=============
//=Debug Stuff=
//=============
case 3000:
    return LaserEyeIdle;
break;
}

return BlankSprite;
