//This function returns the direction of where the character is supposed to look.
//Mostly used during target selection in battle.

//In case of a tie
//Facing up / down takes precidence over left / right.

var CharacterX, CharacterY, TargetX, TargetY, xDifference, yDifference, xDirection, yDirection;

CharacterX = argument0;
CharacterY = argument1;
TargetX = argument2;
TargetY = argument3;
//Calculate the difference between the two character's coordinates
xDifference = CharacterX - TargetX;
yDifference = CharacterY - TargetY;

//Calculate X and Y direction
//X Direction
if(xDifference > 0){
    xDirection = 180 //Left
}
else if(xDifference < 0){
    xDirection = 0 //right
}
else{//Same x coordinate
    xDirection = 270 //down
}
//Y Direction
if(yDifference > 0){
    yDirection = 90 //up
}
else if(yDifference < 0){
    yDirection = 270 //down
}
else{//Same y coordinate
    yDirection = 270 //down
}

if(abs(yDifference) >= abs(xDifference)){
    return yDirection;
}
else{
    return xDirection;
}
